org.eclipse.net4j.util.ref

## Class Interner.Entry<E>

- java.lang.Object
- - java.lang.ref.Reference<T>
  - - java.lang.ref.WeakReference<E>
    - - org.eclipse.net4j.util.ref.Interner.Entry<E>

- Enclosing class:
    Interner<E>

      protected static class Interner.Entry<E>
      extends WeakReference<E>

  A weak reference holder that caches the hash code of the referent and is chained in the `Interner.entries` to handle collisions.
  Author:
    Ed Merks

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `hashCode`
    `Interner.Entry<E>` | `next`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Entry(E object, int hashCode, ReferenceQueue<? super E> queue)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Interner.Entry<E>` | `getNextEntry()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.ref.Reference

      `clear, enqueue, get, isEnqueued`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### hashCode

          public final int hashCode

    - #### next

          public Interner.Entry<E> next

  - ### Constructor Detail

    - #### Entry

          public Entry(E object,
                       int hashCode,
                       ReferenceQueue<? super E> queue)

  - ### Method Detail

    - #### getNextEntry

          public Interner.Entry<E> getNextEntry()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html